<?php

if (!function_exists('front_css')) {
    function front_css()
    {
        return base_url()."/front/";
    }
}
   //admin CSS Url
if (!function_exists('admin_css')) {
    function admin_css()
    {
        return base_url()."/back/";
    }
}

//get logged user
if (!function_exists('user')) {
    function user()
    {
        $auth = new \App\Models\AuthModel;
        $user = $auth->get_logged_user();
        if (empty($user)) {
            $auth->logout();
        } else {
            return $user;
        }

    }
}
if (!function_exists('slug')) {
    function slug($string, $separator = '-')
    {
         if (is_null($string)) {
            return "";
        }
        $string = trim($string);$string=strtolower($string);
        $string =preg_replace("/[^a-z0-9_ोौेैा्ीिीूुंःअआइईउऊएऐओऔकखगघचछजझञटठडढतथदधनपफबभमयरलवसशषहश्रक्षटठडढङणनऋड़\s-]/u", "", $string);
        $string = preg_replace("/[\s-]+/", " ", $string);
        $string = preg_replace("/[\s]/", '-', $string);
        return strtolower(trim($string, '-'));
    }
}

if (!function_exists('name')) {
    function name($String, $separator = '-')
    {
         if (is_null($String)) {
            return "";
        }

        return preg_replace('/[^a-zA-Z0-9_ %\[\]\.\(\)%&-]/s', '', $String);
    }
}


//user permission
if (!function_exists('check_user_permission')) {
    function check_user_permission($section)
    {
        $auth = new \App\Models\AuthModel;
        try {
            if (auth_check()) {
                return $auth->check_permission(user()->user_designation, $section);
            }
        } catch (Exception $e) {
            return false;
        }
        return false;
    }
}
//check permission
if (!function_exists('check_permission')) {
    function check_permission($section)
    {
        if (!check_user_permission($section)) {
            redirect(base_url('/login'));
        }
    }
}
//check auth
if (!function_exists('auth_check')) {
    function auth_check()
    {
        $auth = new \App\Models\AuthModel;
        return $auth->is_logged_in();
    }
}

//check session id
if (!function_exists('check_session')) {
    function check_session()
    {
        $auth = new \App\Models\AuthModel;
        $check = $auth->check_session();
        if (!$check) 
        {
            if (session_status() === PHP_SESSION_ACTIVE)
            session_destroy();
            return redirect()->to('login');
        }
    }
}


//Random String
if (!function_exists('token')) {
    function token() {
        $chars = array(
        'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm',
        'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z',
        'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M',
        'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
        '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '?', '!', '@', '#',
        '$', '%', '^', '&', '*', '(', ')', '[', ']', '{', '}', '|', ';', '/', '=', '+'
        );

        shuffle($chars);

        $num_chars = count($chars) - 1;
        $token = '';

        for ($i = 0; $i < $num_chars; $i++){
        $token .= $chars[mt_rand(0, $num_chars)];
        }
        return $token;
    }
}
//is reaction voted
if (!function_exists('is_reaction_voted')) {
    function is_reaction_voted($post_id, $reaction)
    {
        if (helper_getsession("reaction_" . $reaction . "_" . $post_id) == 1) {
            return true;
        } else {
            return false;
        }
    }
}
//get cookie
if (!function_exists('helper_getcookie')) {
    function helper_getcookie($name, $data_type = 'string')
    {
        if (isset($_COOKIE[$name])) {
            return $_COOKIE[$name];
        }
        if ($data_type == 'int') {
            return 0;
        }
        return "";
    }
}

//set session
if (!function_exists('helper_setsession')) {
    function helper_setsession($name, $value)
    {
        session()->set($name, $value);
    }
}

//get session
if (!function_exists('helper_getsession')) {
    function helper_getsession($name, $data_type = 'string')
    {
        if (!empty(session()->get($name))) {
            return session()->get($name);
        }
        if ($data_type == 'int') {
            return 0;
        }
        return "";
    }
}

if (!function_exists('read_more')) {
    function read_more()
    {
        if(session()->get('lan') == 'en')
        {
          return 'Read More';
        }
        else
        {
          return 'और पढ़ें';
        }
    }
}

if (!function_exists('donate_now')) {
    function donate_now()
    {
        if(session()->get('lan') == 'en')
        {
          return 'Donate Now';
        }
        else
        {
          return 'दान करें';
        }
    }
}

if (!function_exists('all')) {
    function all()
    {
        if(session()->get('lan') == 'en')
        {
          return 'All';
        }
        else
        {
          return 'सब';
        }
    }
}

if (!function_exists('update_soon')) {
    function update_soon()
    {
        if(session()->get('lan') == 'en')
        {
          return 'We Will Update You Soon';
        }
        else
        {
          return 'हम आपको जल्द ही अपडेट करेंगे';
        }
    }
}

if (!function_exists('which_project')) {
    function which_project()
    {
        if(session()->get('lan') == 'en')
        {
          return 'Which project interests you the most?';
        }
        else
        {
          return 'कौन सी परियोजना में आपको सबसे अधिक रुचि है?';
        }
    }
}

if (!function_exists('payment_inst')) {
    function payment_inst()
    {
        if(session()->get('lan') == 'en')
        {
          return '<ul>
                <li class="text-center">
                  <b><u style="font-size:18px">Return To This Page After Following The Payment Instraction For QR Code Payment</u></b>
                </li>
              </ul>
              <div class="row">
                <div class="col-md-12">
                  <ul class="upi_ins">
                      <li><b>1.</b> Locate the "Download QR" button and click on it. This button is intended to download the QR code image to your device.</li>
                      <li><b>2.</b> Minimize this window using the <i class="fa fa-bars minimize"></i> image icon at the bottom of your mobile and open the payment app of your choice on your mobile device. Examples include Google Pay, PhonePe, Paytm or BHIM. </li>
                      <li><b>3.</b> Within the payment app, look for an option to make a payment using an uploaded image or QR code. This option is typically labeled as "Scan QR Code" or "Pay using QR Code." The exact location and wording may vary between different payment apps.</li>
                      <li><b>4.</b> Tap on the option to scan a QR code or make a payment using an image.</li>
                      <li><b>5.</b> Tap on the "Image Upload" or "Select Image" button within the payment app. Once you click it you will find the downloaded QR Code on as the first item in this gallery. click and selected</li>
                  </ul>
                </div>
              </div>
              ';
        }
        else
        {
          return '<ul>
                <li class="text-center">
                  <b><u style="font-size:18px">क्यूआर कोड भुगतान के लिए भुगतान निर्देश</u></b>
                </li>
              </ul>
              <div class="row">
                <div class="col-md-12">
                  <ul class="upi_ins">
                      <li><b>1.</b> "डाउनलोड क्यूआर" बटन का पता लगाएं और उस पर क्लिक करें। इस बटन का उद्देश्य आपके डिवाइस पर QR कोड छवि डाउनलोड करना है।</li>
                     
                       <li><b>2.</b> अपने मोबाइल के नीचे <i class="fa fa-bars minimize"></i> छवि आइकन का उपयोग करके इस विंडो को छोटा करें और अपने मोबाइल डिवाइस पर अपनी पसंद का भुगतान ऐप खोलें। उदाहरणों में Google Pay, PhonePe, Paytm या BHIM शामिल हैं।</li>
                       <li><b>3.</b> भुगतान ऐप के भीतर, अपलोड की गई छवि या क्यूआर कोड का उपयोग करके भुगतान करने का विकल्प देखें। इस विकल्प को आम तौर पर "स्कैन क्यूआर कोड" या "क्यूआर कोड का उपयोग करके भुगतान करें" के रूप में लेबल किया जाता है। अलग-अलग भुगतान ऐप्स के बीच सटीक स्थान और शब्द भिन्न हो सकते हैं।</li>
                       <li><b>4.</b> QR कोड को स्कैन करने या छवि का उपयोग करके भुगतान करने के विकल्प पर टैप करें।</li>
                       <li><b>5.</b> भुगतान ऐप के भीतर "छवि अपलोड करें" या "छवि चुनें" बटन पर टैप करें। एक बार जब आप इसे क्लिक करेंगे तो आपको इस गैलरी में पहले आइटम के रूप में डाउनलोड किया गया क्यूआर कोड मिलेगा। क्लिक करें और चुनें</li>
                       <li><b>6.</b> भुगतान हो जाने के बाद इस पृष्ठ पर वापस आएं और निम्नलिखित विवरण दर्ज करें।</li>
                  </ul>
                </div>
              </div>
              ';
        }
    }
}